API Reference
Update an authorization
PUT
/purchases/{id}Limited Acquirer Support
Note: Updating authorization, such as extending authorization windows, amending authorization amounts and performing authorization completions is currently only supported by a handful of Australian acquirers, including Westpac and FDMS (First Data Merchant Services). If these methods are used where support is not yet available the transactions may be declined or return errors.
Body Parameters
amountinteger (int32)(optional)The new amount for the authorisation (where the amount is being increased from the original authorized value)
metadatastring(optional)extendboolean(optional)· Defaults to falseIndicates if an authorization extension should be processed
Query Parameters
idstringid of the purchase
Request
curl
curl https://gateway.pmnts-sandbox.io/v1.0/purchases/{id} -XPUT -u TEST:TEST -d'
{
"amount": 10100
}'Response
200Result
json
{
"successful": false,
"response": {
"authorization": "573449",
"id": "071-P-Y7HDHLT7",
"card_number": "512345XXXXXX2346",
"card_holder": "Matthew Savage",
"card_expiry": "2030-02-28",
"card_token": "fke8n73t",
"card_type": "MasterCard",
"card_category": "Credit",
"card_subcategory": "Standard",
"amount": 10000,
"decimal_amount": 100.0,
"successful": true,
"message": "Approved",
"reference": "2c94f2337efe4e4b384a37a8d1e3515a",
"currency": "AUD",
"transaction_id": "071-P-Y7HDHLT7",
"settlement_date": null,
"transaction_date": "2017-11-30T11:18:09+11:00",
"response_code": "00",
"captured": false,
"captured_amount": 0,
"rrn": "071PY7HDHLT7",
"cvv_match": "M",
"metadata": {},
"addendum_data": {}
},
"errors": ["Capture amount cannot be greater then the original authorised amount"]
}